## rekor 1.3.5

=== debian/changelog ===
rekor (1.3.5-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 15:36:44 +1000

rekor (1.3.5-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 06:11:00 -0400

rekor (1.3.5-1) experimental; urgency=medium

  * New upstream release

 -- Simon Josefsson <simon@josefsson.org>  Sun, 18 Feb 2024 19:41:18 +0100

rekor (1.3.4-1) experimental; urgency=medium

  [ Simon Josefsson ]
  * Further packaging and release. Closes: #990249, #1050314.

  [ Reinhard Tartler ]
  * Initial packaging.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 02 Feb 2024 00:49:07 +0100
