## rekor 1.3.6

=== debian/changelog ===
rekor (1.3.6-2) unstable; urgency=medium

  * Drop TUF dependency (deprecated upstream), and bump
    to TUF-less sigstore-sigstore.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 Oct 2024 19:53:41 +0200

rekor (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 19:49:59 +0200
