=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rekor
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Simon Josefsson <simon@josefsson.org>,
@@ -27,10 +26,9 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
- golang-github-sigstore-sigstore-dev,
+ golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
- golang-github-theupdateframework-go-tuf-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,
@@ -38,7 +36,7 @@
  golang-google-protobuf-dev,
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
@@ -93,10 +91,9 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
- golang-github-sigstore-sigstore-dev,
+ golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
- golang-github-theupdateframework-go-tuf-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,
