=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,6 @@
 
 override_dh_auto_build:
 	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/rpm
+	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/tuf
+	rm -rfv _build/src/github.com/sigstore/rekor/pkg/pki/tuf
 	dh_auto_build $(DH_BUILD_OPTS)
