## rekor 1.3.7

=== debian/changelog ===
rekor (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * d/salsa-ci.yml: Build rdeps.  Tighten lintian/autopkgtest checks.
  * Ship rekor-cli.1 manpage.
  * Bump d/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Jan 2025 12:56:36 +0100
