=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  golang-google-protobuf-dev,
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
+ help2man <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
