=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
 export DH_GOLANG_BUILDPKG="github.com/sigstore/rekor/cmd/rekor-cli"
 
@@ -10,3 +12,15 @@
 	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/tuf
 	rm -rfv _build/src/github.com/sigstore/rekor/pkg/pki/tuf
 	dh_auto_build $(DH_BUILD_OPTS)
+
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/rekor/usr/share/man/man1
+
+execute_after_dh_auto_install:
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+	mkdir -pv $(M)
+	env PATH=$(PATH):$(B) \
+		help2man --no-info --version-string="$(DEB_VERSION)" \
+		--no-discard-stderr -Idebian/rekor-cli.h2m \
+		rekor-cli -o $(M)/rekor-cli.1
+endif
