## rekor 1.3.9

=== debian/changelog ===
rekor (1.3.9-1) unstable; urgency=medium

  * New upstream version 1.3.9
  * Standards-Version: 4.7.2.
  * Improve man page building.
  * Use dh-golang-sequence.
  * Add B-D's.
  * gbp.conf: Use debian-branch=debian/latest.
  * Disable KMS, similar to cosign patch.
  * Add Static-Built-Using, suggested by lintian.
  * dh: Use execute_before instead of override.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 02:15:52 +0200
