=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  golang-github-asaskevich-govalidator-dev (>> 11.0.1~),
  golang-github-blang-semver-dev,
@@ -27,8 +27,12 @@
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,
@@ -37,7 +41,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
  help2man <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
@@ -51,6 +55,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Software Supply Chain Transparency Log (program)
  Rekor's goals are to provide an immutable tamper resistant ledger of
  metadata generated within a software projects supply chain. Rekor will
@@ -93,8 +99,12 @@
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,
