## rekor 1.3.10

=== debian/changelog ===
rekor (1.3.10-1) experimental; urgency=medium

  * New upstream version 1.3.10

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 May 2025 13:28:08 +0200
