=== debian/changelog ===
rekor (1.4.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 1.4.0
  * Refresh disable-kms.patch.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 22:23:06 +0200
