## rekor 1.4.2

=== debian/changelog ===
rekor (1.4.2-1) unstable; urgency=medium

  * Use watch v5.
  * Modernize Salsa CI.
  * Drop Rules-Requires-Root: no.
  * New upstream version 1.4.2

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Oct 2025 22:48:14 +0200
