=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/rekor
 
 Package: rekor
