## rekor 1.4.3

=== debian/changelog ===
rekor (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * Update B-D's
  * Refresh patches

 -- Simon Josefsson <simon@josefsson.org>  Mon, 08 Dec 2025 14:25:12 +0100
