=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
  golang-github-go-openapi-strfmt-dev,
  golang-github-go-openapi-swag-dev,
  golang-github-go-openapi-validate-dev,
+ golang-github-go-viper-mapstructure-dev,
  golang-github-google-trillian-dev,
  golang-github-hashicorp-go-cleanhttp-dev,
  golang-github-hashicorp-go-retryablehttp-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-jedisct1-go-minisign-dev,
- golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
@@ -89,12 +89,12 @@
  golang-github-go-openapi-strfmt-dev,
  golang-github-go-openapi-swag-dev,
  golang-github-go-openapi-validate-dev,
+ golang-github-go-viper-mapstructure-dev,
  golang-github-google-trillian-dev,
  golang-github-hashicorp-go-cleanhttp-dev,
  golang-github-hashicorp-go-retryablehttp-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-jedisct1-go-minisign-dev,
- golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
