## rekor 1.5.0

=== debian/changelog ===
rekor (1.5.0-1) unstable; urgency=medium

  * New upstream version
    - Fix CVE-2026-23831 (Closes: #1126275)
    - Fix CVE-2026-24117 (Closes: #1126276)
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Feb 2026 23:10:05 +0100
