=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -41,7 +40,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
  help2man <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
